main[property="mainContentOfPage"] {
  font-family: Arial, Helvetica, sans-serif;
  font-size: 1em;
  margin: 0 auto;
  max-width: 99%;
  width: 100%;
}
main[property="mainContentOfPage"] .font-bold {
  font-weight: bold;
}
main[property="mainContentOfPage"] .font-italic {
  font-style: italic;
}
main[property="mainContentOfPage"] sub, sup {
  font-size: 0.6em
}
main[property="mainContentOfPage"] caption {
  clip: rect(0, 0, 0, 0);
  font-weight: bold;
  margin-bottom: 0.5em;
  text-align: left;
}
main[property="mainContentOfPage"] .sr-only {
  border: 0;
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
  white-space: nowrap;
}
main[property="mainContentOfPage"] h1 {
  font-size: 1.2rem;
}






main#main-content td {
  font-size: 1rem !important;
  line-height: 1.5;
  padding: 0 20px 0 5px;
  white-space: nowrap
}
main#main-content th {
  background-color: #f0f0f0;
  color: #000;
  font-size: 1.05rem !important;
  font-weight: bold;
  line-height: 1.5;
  padding: 0 20px 0 5px;
  white-space: nowrap
}
main#main-content th.narrow-column {
  margin: 0;
  max-width: 20px;
  padding: 0;
  width: 20px;
}
main#main-content table {
  border: 0px none transparent;
  border-collapse: collapse;
  border-spacing: 0;
  padding: 5px;
}
main#main-content {
  overflow: auto;
  width: auto;
}
main#main-content table .horizontal-center {
  text-align: center;
}
main#main-content table .horizontal-right {
  text-align: right;
}
main#main-content table .horizontal-left {
  text-align: left;
}
main#main-content table .vertical-middle {
  vertical-align: middle;
}
main#main-content table .vertical-top {
  vertical-align: top;
}
main#main-content table .vertical-bottom {
  vertical-align: bottom;
}
@media print {
  #header, #footer, #nav {
    display: none !important;
  }
}

.view-addendum-tables-landing {
  position: relative;
}
.path-addendum-tables h1,
.view-addendum-tables-landing h1 {
  font-size: 2.375em !important;

  @media screen and (min-width: 768px) {
    padding-right: 260px;
  }
}
.view-addendum-tables-landing .view-header {
  @media screen and (min-width: 768px) {
    max-width: 750px;
    font-size: 20px;
  }

  font-family: "Noto Sans", sans-serif;
  line-height: 30px;
}
.view-addendum-tables-landing .view-filters {
  display: flex;
  justify-content: flex-end;

  @media screen and (min-width: 768px) {
    right: 0;
    top: -70px;
    position: absolute;
  }
}
.view-addendum-tables-landing .view-filters .views-exposed-form label {
  display: none;
}
.view-addendum-tables-landing .view-filters .views-exposed-form .select-wrapper select {
  min-width: 250px;
}
.view-addendum-tables-landing .view-filters .views-exposed-form .select-wrapper select option {
  background-color: #efefef;
}
.view-addendum-tables-landing .view-filters .views-exposed-form .select-wrapper:after {
  color: #000;
}
.view-addendum-tables-landing .view-filters .views-exposed-form .form-item-sort-by {
  padding-right: 0;
}
.view-addendum-tables-landing table tr {
  background-color: #F1F2F3;
  border-bottom: 15px solid #fff;
}
.view-addendum-tables-landing table td:nth-child(1) {
  width: 100%;
  font-weight: 700;
  font-size: 25px;
  padding-top: 15px;
  padding-bottom: 15px;
  border: none;
}
.view-addendum-tables-landing table td:nth-child(1) .archived {
  font-size: 20px;
  font-weight: 500;
  line-height: 24px;
  color: #2B4380;
  border: 2px solid #2B4380;
  border-radius: 6px;
  padding: 7px;
  background-color: #fff;
  margin-left: 15px;
  position: relative;
  top: -5px;
  pointer-events: none;
}
.view-addendum-tables-landing table td.actions {
  white-space: nowrap;
  vertical-align: middle;
  text-align: right;
  padding-right: 25px;
  border: none;
}
.view-addendum-tables-landing table td.actions a {
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  color: #2B4380;
  margin-top: 5px;
}
.view-addendum-tables-landing table td.actions a:hover {
  text-decoration: underline;
}
.view-addendum-tables-landing table td.actions a:not(:last-child) {
  margin-right: 30px;
}
.view-addendum-tables-landing table td.actions a.icon-view::before{
  content: '';
  background-image: url('/themes/custom/op_wxt/images/icon-view.png');
  background-size: contain;
  background-repeat: no-repeat;
  width: 24px;
  height: 24px;
  display: inline-block;
  margin-right: 10px;
}
.view-addendum-tables-landing table td.actions a.icon-download::before{
  content: '';
  background-image: url('/themes/custom/op_wxt/images/icon-download.png');
  background-size: contain;
  background-repeat: no-repeat;
  width: 24px;
  height: 24px;
  display: inline-block;
  margin-right: 10px;
}

.view-addendum-tables-landing .view-footer {
  border: 1px solid #DDDDDD;
  border-radius: 4px;
  padding: 24px;
  font-size: 20px;
  font-weight: 400;
  font-family: "Noto Sans", sans-serif;
  line-height: 30px;
}
.view-addendum-tables-landing .view-footer .view-footer--title {
  font-weight: 500;
  color: #2B4380;
  margin-bottom: 20px;
}




.path-addendum-tables .select2-container .select2-search {
  display: none;
}
.path-addendum-tables .select2-container {
  padding: 0;
  border: none;
}
.path-addendum-tables .select2-container.select2-container--open {
  border-radius: 3px;
}
.path-addendum-tables .select2-container .select2-dropdown {
  border: none;
}
.view-addendum-tables-landing .select2-container .select2-selection--single {
  padding: 6.5px 30px 6.5px 12px;
  border: 1px solid #333;
  border-radius: 3px;
  color: #333;
  height: initial;
}
.view-addendum-tables-landing .select2-container.select2-container--open.select2-container--below .select2-selection--single {
  border-radius: 3px;
}
.view-addendum-tables-landing .select2-container .select2-selection--single .select2-selection__rendered {
  padding: 0;
  min-width: 200px;
}
.view-addendum-tables-landing .select2-container .select2-selection__arrow {
  display: none;
}
.view-addendum-tables-landing .select2-container .select2-selection--single > div {
  display: none;
}


.path-addendum-tables .select2-container .select2-results {
  margin-top: 5px;
  border: 1px solid #333;
  border-radius: 3px;
}
.path-addendum-tables .select2-container .select2-results .select2-results__options {
  padding: 0;
  margin: 0;
}
.path-addendum-tables .select2-container .select2-results .select2-results__options li {
  padding: 10px 12px;
  border-radius: 0;
  color: #333;
}
.path-addendum-tables .select2-container .select2-results .select2-results__options li:hover {
  color:#fff !important;
  background-color: #2B4380 !important;
}
.path-addendum-tables .select2-container .select2-results .select2-results__options li.select2-results__option--selected {
  background-color: #f1f2f3;
}
.path-addendum-tables .select2-container .select2-results .select2-results__options li.select2-results__option--selected.select2-results__option--highlighted {
  color: #333;
}




main#main-content .addendum-table-updated-style .add-background-color,
main#main-content .addendum-table-updated-style thead,
main#main-content section.addendum-table-updated-style table tbody tr:hover th,
main#main-content section.addendum-table-updated-style table tbody tr:hover td {
  background-color: #f0f0f0;
}
main#main-content section.shadow-active.addendum-table-updated-style table {
  position: relative;
}
main#main-content section.shadow-active.addendum-table-updated-style table::before,
main#main-content section.shadow-active.addendum-table-updated-style table::after {
  background-size: 15px !important;
  bottom:  var(--table-actual-bottom);
  content: "";
  pointer-events: none;
  position: absolute;
  top: 0;
  width: 15px;
  z-index: 27; /* Higher than your thead z-index */
}
main#main-content section.shadow-active.addendum-table-updated-style table::before {
  /*background: url(/themes/custom/op_wxt/images/scroll-border-left.png) right repeat-y;*/
  left: var(--table-left);
}
main#main-content section.shadow-active.addendum-table-updated-style table::after {
  background: url(/themes/custom/op_wxt/images/scroll-border-right.png) right repeat-y;
  right: var(--table-right);
}
main#main-content .addendum-table-updated-style th,
main#main-content .addendum-table-updated-style td {
  border-bottom: 1px solid #dddddd;
  border-right: 1px solid #dddddd;
  font-size: 1rem !important;
  font-style: normal;
  line-height: 1.5;
  padding: 0 20px 0 5px;
  padding: 10px 40px 10px 10px;
  white-space: nowrap
  white-space: nowrap;
}
main#main-content .addendum-table-updated-style table {
  border: 1px solid #dddddd;
  border-collapse: separate;
  border-spacing: 0;
  display: block; /* Important for max-height to work */
  font-family: "Noto Sans", sans-serif;
  font-size: 20px;
  line-height: 1.5;
  padding: 5px;
  max-height: 800px;
/*  max-width: 700px; */
  /* overflow: auto; /* Enable table scrolling */
  table-layout: fixed; /* Crucial for fixed header columns */
  transition: box-shadow 0.3s ease; /* Smooth transition for the shadow */
  width: auto; /* Set your desired max width */
}
@media screen and (max-width: 767px) {
  main#main-content .addendum-table-updated-style table {
    font-size: 18px;
  }
  main#main-content .addendum-table-updated-style th,
  main#main-content .addendum-table-updated-style td {
    white-space: normal; /* Enable text wrapping */
  }
  main#main-content .addendum-table-updated-style tbody th {
    overflow: hidden;
  }
  main#main-content .addendum-table-updated-style tbody th.sticky-top {
    overflow: visible;
    z-index: 26;
  }
  main#main-content .addendum-table-updated-style tbody td.add-background-color {
    z-index: 25 !important;
    position: sticky;
  }
  main#main-content .addendum-table-updated-style tbody th.sticky-top span {
    max-width: 180px;
    display: block;
    white-space: nowrap;
  }

  /* .view-addendum-tables-landing table tr {
    display: flex;
    flex-direction: column;
    width: 100%;
  } */
  .view-addendum-tables-landing form.bef-exposed-form,
  .view-addendum-tables-landing form.bef-exposed-form div.form-item,
  .view-addendum-tables-landing form.bef-exposed-form div.form-item .select-wrapper {
    width: 100%;
    padding-left: 0;
  }

  .view-addendum-tables-landing table td.actions {
    padding-right: 10px;
  }
  .view-addendum-tables-landing table td.actions a:not(:last-child) {
    margin-right: 10px;
  }

  .view-addendum-tables-landing table td:nth-child(1) {
    font-size: 20px;
  }
}
main#main-content .addendum-table-updated-style thead,
main#main-content .addendum-table-updated-style thead th:first-child,
main#main-content .addendum-table-updated-style tbody th,
main#main-content .addendum-table-updated-style tbody .sticky-top {
  position: sticky;
}
main#main-content .addendum-table-updated-style thead {
  top: 0;
  z-index: 20;
}
main#main-content .addendum-table-updated-style tbody .sticky-top {
  top: 96px; /* Custom set per table by vba. */
  z-index: 25;
}
main#main-content .addendum-table-updated-style tbody td.sticky-top {
  z-index: 24;
}
main#main-content .addendum-table-updated-style thead th:first-child,
main#main-content .addendum-table-updated-style tbody th {
  left: 0;
  z-index: 10;
}
main#main-content .addendum-table-updated-style tbody th:first-child,
main#main-content .addendum-table-updated-style thead th:first-child,
main#main-content .addendum-table-updated-style tbody th.sticky-top:first-child {
/*  background: url(/themes/custom/op_wxt/images/scroll-border-left.png) right repeat-y;*/
  background-color: #f0f0f0;
  background-size: 15px;
}
main#main-content .addendum-table-updated-style tbody th.sticky-top:first-child {
  z-index: 27;
}
main#main-content .addendum-table-updated-style tbody th:first-child {
  background-color: white;
}
.addendum-table-updated-style #heading-overlay {
  align-items: center;
  background-color: transparent;
  display: flex;
  font-family: "Noto Sans", sans-serif;
  font-weight: bold;
  font-size: 20px;
  line-height: 1.5;
  position: absolute;
  justify-content: center;
  pointer-events: none; /* So it doesn’t block clicks */
  text-align: center;
  top: 0;
  z-index: 100;
}

article[data-history-node-id='51567'] main#main-content,
article[data-history-node-id='53973'] main#main-content {
  height: initial;
  overflow: initial;
}
article[data-history-node-id='51567'] main#main-content table,
article[data-history-node-id='53973'] main#main-content table {
  overflow: auto;
  padding: 0;
}

/* Desktop */
article[data-history-node-id='51567'] main#main-content .addendum-table-updated-style tbody .sticky-top,
article[data-history-node-id='53973'] main#main-content .addendum-table-updated-style tbody .sticky-top {
  top: 89px;
}

/* Tablet */
@media screen and (min-width: 768px) and (max-width: 1024px) {
  article[data-history-node-id='51567'] main#main-content .addendum-table-updated-style tbody .sticky-top,
  article[data-history-node-id='53973'] main#main-content .addendum-table-updated-style tbody .sticky-top {
    top: 81px;
  }
}

/* Mobile */
@media screen and (max-width: 767px) {
  article[data-history-node-id='51567'] main#main-content .addendum-table-updated-style tbody .sticky-top,
  article[data-history-node-id='53973'] main#main-content .addendum-table-updated-style tbody .sticky-top {
    top: 75px;
  }
}

